=== debian/changelog ===
libcitygml (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * Drop explicit build dependencies on g++ (>= 4:5-0), g++-5 (>= 5.2.1-10).
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 02:17:15 +0200

libcitygml (1.4.3-1~exp3) experimental; urgency=medium

  * Team upload.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jul 2015 18:03:28 +0200

libcitygml (1.4.3-1~exp2) experimental; urgency=medium

  * Fix version in Breaks/Replaces for experimental revisions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 13:23:34 +0200

libcitygml (1.4.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * Update watch file for GitHub releases.
  * Add gbp.conf to use pristine-tar by default.
  * New upstream release.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update Homepage & Source URLs for move to GitHub.
  * Update copyright file, use Comment instead of extended Copyright.
  * Refresh information-typo.diff patch.
  * Override dh_install to use --list-missing.
  * Split rewrite_cmake.diff into separate patches.
  * Add upstream metadata.
  * Drop citygml2vrml, no longer included upstream.
  * Drop SOVERSION from -dev & -bin package name.
  * Rename library package for SONAME bump.
  * Don't install static library, no longer built.
  * Drop openscenegraph plugin packages, FTBFS & disabled by default.
  * Add OpenGL build dependencies no longer pulled in by
    libopenscenegraph-dev.
  * Install all *.md files in docs.
  * Drop libcitygml-symbols.sh, only needed for initial symbols file
    creation.
  * Update symbols for amd64 with GCC 5.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add explicit build dependencies on GCC 5.2.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 01:21:25 +0200
