=== debian/control ===
Source: libcitygml
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <wzssyqa@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libxml2-dev,
               libgdal-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/libcitygml.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libcitygml.git
Homepage: https://github.com/jklimke/libcitygml

Package: libcitygml1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open source C++ library for parsing CityGML files
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains share library.

Package: libcitygml-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcitygml1 (= ${binary:Version}),
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Breaks: libcitygml0-dev (<< 1.4.3-1~)
Replaces: libcitygml0-dev (<< 1.4.3-1~)
Description: Static and header files of libcitygml
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains develop files: static and header files of libcitygml.

Package: libcitygml-bin
Architecture: any
Section: utils
Depends: libcitygml1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: libcitygml0-bin (<< 1.4.3-1~)
Replaces: libcitygml0-bin (<< 1.4.3-1~)
Description: Utils of libcitygml - citygmltest
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains the citygmltest utility.
