=== sources/CMakeLists.txt ===
--- 
+++ 
@@ -151,15 +151,23 @@
 
 TARGET_LINK_LIBRARIES( ${target} ${XERCESC_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
 
+set_target_properties( ${target} PROPERTIES
+    VERSION ${META_VERSION}
+    SOVERSION ${META_VERSION_MAJOR}
+)
+
 INSTALL(
     TARGETS ${target}
-    RUNTIME DESTINATION bin
-    LIBRARY DESTINATION lib
-    ARCHIVE DESTINATION lib
+    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 )
 # FIXME: Do not run for OS X framework
 INSTALL(
     FILES        ${PUBLIC_HEADER}
-    DESTINATION  ${CMAKE_INSTALL_PREFIX}/include/${target}
+    DESTINATION  ${INCLUDE_INSTALL_DIR}
 )
 
+configure_file(citygml.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
+
