=== test/CMakeLists.txt ===
--- 
+++ 
@@ -41,3 +41,6 @@
 # ENDIF( MSVC_IDE )
 
 TARGET_LINK_LIBRARIES( citygmltest citygml ${XERCESC_LIBRARY} ${OPENGL_LIBRARIES} )
+
+install(TARGETS citygmltest RUNTIME DESTINATION ${BIN_INSTALL_DIR})
+
