=== debian/changelog ===
libcitygml (2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 12:55:25 +0200

libcitygml (2.0-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Add patch for 'occurred' typo.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 20:17:49 +0100

libcitygml (2.0-1) unstable; urgency=medium

  * Team upload.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 18:44:41 +0200

libcitygml (2.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, applied upstream.
  * Update Vcs-Browser URL to use HTTPS.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 23:13:31 +0200
