=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
+
 export DH_VERBOSE=1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 CFLAGS += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
 
@@ -13,12 +19,13 @@
 	dh_auto_clean
 	-rm -rf obj-*-*
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
 override_dh_install:
 	dh_install --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(CITYGML_VERSION)
 
-override_dh_auto_configure:
-	dh_auto_configure -- \
-		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
