=== sources/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+include(GenerateExportHeader)
 SET( target citygml )
 
 ADD_DEFINITIONS( -DCITYGML_LIBRARY )
@@ -14,9 +15,18 @@
 
 configure_file(include/citygml/citygml_api.h.in ${CMAKE_BINARY_DIR}/include/citygml/citygml_api.h)
 
-INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/sources/include ${XERCESC_INCLUDE}  ${ICONV_INCLUDE_DIR} ${GLU_INCLUDE_PATH} ${GDAL_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/include)
+SET(EXPORT_HEADER_FILE_NAME ${PROJECT_BINARY_DIR}/include/citygml/citygml_export.h)
+
+INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/sources/include
+                        ${XERCESC_INCLUDE}
+                        ${ICONV_INCLUDE_DIR}
+                        ${GLU_INCLUDE_PATH}
+                        ${GDAL_INCLUDE_DIR}
+                        ${CMAKE_BINARY_DIR}/include
+                        ${PROJECT_BINARY_DIR}/include)
 
 SET(SOURCES
+  src/citygml/attributesmap.cpp
   src/citygml/citymodel.cpp
   src/citygml/tesselator.cpp
   src/citygml/object.cpp
@@ -73,9 +83,17 @@
   src/parser/implicitgeometryelementparser.cpp
   src/parser/addressparser.cpp
 )
+if(UNIX)
+  if (APPLE)
+    set_source_files_properties(src/citygml/tesselator.cpp PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations") # for warnings: 'glu*' is deprecated...
+  endif (APPLE)
+endif(UNIX)
 
 SET(PUBLIC_HEADER
   ${CMAKE_BINARY_DIR}/include/citygml/citygml_api.h
+  ${CMAKE_BINARY_DIR}/include/citygml/citygml_export.h
+  include/citygml/attributesmap.h
+  include/citygml/enum_type_bitmask.h
   include/citygml/citygmllogger.h
   include/citygml/polygon.h
   include/citygml/material.h
@@ -149,6 +167,11 @@
 
 ADD_LIBRARY( ${target} ${LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC} ${SOURCES} ${HEADERS} )
 
+
+generate_export_header(citygml
+                        EXPORT_MACRO_NAME LIBCITYGML_EXPORT
+                        EXPORT_FILE_NAME ${EXPORT_HEADER_FILE_NAME})
+
 TARGET_LINK_LIBRARIES( ${target} ${XERCESC_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
 
 set_target_properties( ${target} PROPERTIES
@@ -162,12 +185,24 @@
     LIBRARY DESTINATION ${LIB_INSTALL_DIR}
     ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 )
+
+
 # FIXME: Do not run for OS X framework
 INSTALL(
-    FILES        ${PUBLIC_HEADER}
+    FILES        
+      ${PUBLIC_HEADER}
     DESTINATION  ${INCLUDE_INSTALL_DIR}
 )
 
+INSTALL(
+    FILES        
+      ${EXPORT_HEADER_FILE_NAME}
+    DESTINATION  
+      ${INCLUDE_INSTALL_DIR}
+)
+      
+
 configure_file(citygml.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
