=== debian/changelog ===
libcitygml (2.0.4-1build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:03:10 +0200

libcitygml (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add patch to fix spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 22:15:27 +0200

libcitygml (2.0.4-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with GCC 7.
    (closes: #853487)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Feb 2017 10:06:23 +0100

libcitygml (2.0.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop occurred-typo.patch, applied upstream.
  * Disable DH_VERBOSE in rules file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 16:44:47 +0100
