=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgl1-mesa-dev | libgl-dev,
                libglu-dev,
                pkg-kde-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libcitygml.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libcitygml.git
 Homepage: https://github.com/jklimke/libcitygml
